Package org.pushingpixels.trident.swing

# Class TimelineSwingWorker<T,V>

java.lang.Object
javax.swing.SwingWorker<T,V>
org.pushingpixels.trident.swing.TimelineSwingWorker<T,V>

All Implemented Interfaces:
  `Runnable`, `Future<T>`, `RunnableFuture<T>`, `TimelineScenario.TimelineScenarioActor`

public abstract class TimelineSwingWorker<T,V> extends SwingWorker<T,V> implements TimelineScenario.TimelineScenarioActor

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.SwingWorker

`SwingWorker.StateValue`

## Nested classes/interfaces inherited from interface java.util.concurrent.Future

`Future.State`

## Constructor Summary

Constructors
Constructor
Description
`TimelineSwingWorker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`play()`
`void`
`resetDoneFlag()`
`boolean`
`supportsReplay()`

### Methods inherited from class javax.swing.SwingWorker

`addPropertyChangeListener, cancel, doInBackground, done, execute, firePropertyChange, get, get, getProgress, getPropertyChangeSupport, getState, isCancelled, isDone, process, publish, removePropertyChangeListener, run, setProgress`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.Future

`exceptionNow, resultNow, state`

### Methods inherited from interface org.pushingpixels.trident.TimelineScenario.TimelineScenarioActor

`isDone`

## Constructor Details

### TimelineSwingWorker

public TimelineSwingWorker()

## Method Details

### play

public void play()

Specified by:
  `play` in interface `TimelineScenario.TimelineScenarioActor`

### supportsReplay

public boolean supportsReplay()

Specified by:
  `supportsReplay` in interface `TimelineScenario.TimelineScenarioActor`

### resetDoneFlag

public void resetDoneFlag()

Specified by:
  `resetDoneFlag` in interface `TimelineScenario.TimelineScenarioActor`